//
//  AIRBLivePusherOptions.h
//  AliInteractiveRoomBundle
//
//  Created by fernando on 2021/5/10.
//  Copyright © 2021 AliYun. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <AliInteractiveRoomBundle/AIRBCommonDefines.h>


NS_ASSUME_NONNULL_BEGIN

@interface AIRBLivePusherLiveBusinessOptions : NSObject
@property (copy, nonatomic) NSString* liveTitle;
@property (copy, nonatomic) NSString* liveCoverUrl;
@property (copy, nonatomic) NSString* liveIntroduction;
@property (assign, nonatomic) int64_t liveStartTime;
@property (assign, nonatomic) int64_t liveEndTime;
@property (copy, nonatomic) NSString* extension;
@end

@interface AIRBLivePusherMediaStreamingOptions : NSObject

/**
 * 是否进行仅视频推流（不录制音频），默认NO
 */
@property (assign, nonatomic) BOOL onlyVideo;

/**
 * 视频的帧率，默认20，不建议外部调节
 */
@property (assign, nonatomic) int16_t videoFrameRate;

/**
 * 视频的码率，单位 kbps，范围[400, 5000)，默认 1500，不建议外部调节
 */
@property (assign, nonatomic) int32_t videoBitrate;

/**
 * 视频帧最大关键帧间隔，单位秒，默认4秒，不建议外部调节
 */
@property (assign, nonatomic) int16_t maxVideoKeyFrameInterval;

/**
 * 摄像头的默认类型，默认为前置摄像头
 */
@property (assign, nonatomic) AIRBLivePusherCameraType cameraDefaultType;

/**
 * 是否进行仅音频推流（不录制视频）
 */
@property (assign, nonatomic) BOOL onlyAudio;

/**
 * 如果以上配置不能满足需求，可以设置当前config，其类型为已依赖库AlivcLivePusher.framework中的AlivcLivePushConfig类；
 * 注意，当alivcLivePushConfig配置后，上面的所有配置将失效，以alivcLivePushConfig的内容为准；
 */
@property (strong, nonatomic) id alivcLivePushConfig;
@end

@interface AIRBLivePusherOptions : NSObject
@property (strong, nonatomic) AIRBLivePusherLiveBusinessOptions* businessOptions;
@property (strong, nonatomic) AIRBLivePusherMediaStreamingOptions* mediaStreamingOptions;

+ (instancetype) defaultOptions;
@end

NS_ASSUME_NONNULL_END
